System Tools Backends Version 2.10.2, 2011-04-02
-----------------------------------------------

The System Tools Backends version 2.10.2 "Stop Joking" have been released. This stable release
is backward compatible with 2.10.0.

Changes since last release
==========================

    - Don't create empty /etc/ntp.conf (Colin Watson)
    - Allow any sessions, not only active ones, to authenticate via PolicyKit
    - Support creating groups with default GID instead of fixed one


System Tools Backends Version 2.10.1, 2010-08-21
-----------------------------------------------

The System Tools Backends version 2.10.1 "Home, Sweet Home!" have been released. This stable release
is backward compatible with 2.10.0.

Changes since last release
==========================

    - Rework handling of home directory changes, allowing several files migration schemes
      depending on user's choices
    - Allow erasing already existing files in home when creating a user
    - Set D-Bus timeout to maximum for replies from modules, to allow long operations
      to complete without error
    - Fix chown syntax which was not supported on all platforms
    - Update MAINTAINERS file


System Tools Backends Version 2.10.0, 2010-03-29
-----------------------------------------------

The System Tools Backends version 2.10.0 "Last But Not Least" have been released. This is the first stable release which is incompatible with the previous 2.8 series.

Changes since last release
==========================

    - Add FreeBSD 8 as a known platform, handled just like version 7
    - Identify users and groups by login instead of UID
    - Major performance improvements when committing groups
    - Fix crash due to wrong int size with SelfConfig
    - Fix crash on authentication error

Translations
============

    - ca, courtesy of David Planella
    - eu, courtesy of Iñaki Larrañaga Murgoitio
    - zh_HK, courtesy of Chao-Hsiung Liao
    - zh_TW, courtesy of Chao-Hsiung Liao


System Tools Backends Version 2.9.4, 2010-03-08
-----------------------------------------------

The System Tools Backends version 2.9.4 "Quick" have been released. This development release is incompatible with the previous 2.8 series.

Changes since last release
==========================

    - Support for locking/unlocking user accounts
    - Fix setting Real name for new users
    - Be more robust by ignoring invalid users from /etc/passwd

Translations
============

    - ar, courtesy of Khaled Hosny
    - gl, courtesy of Fran Diéguez
    - pl, courtesy of Piotr Drąg
    - pt, courtesy of Duarte Loreto

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.9/


System Tools Backends Version 2.9.3, 2010-02-15
-----------------------------------------------

The System Tools Backends version 2.9.3 "Me Voy" have been released. This development release is incompatible with the previous 2.8 series.

Changes since last release
==========================

    - Improve error checking against malformed /etc/group lines
    - Correctly chown home directory for new users (when asked)
    - Fix missing GroupConfig2 in D-Bus config file, which completely blocked accessing groups configuration

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.9/


System Tools Backends Version 2.9.2, 2010-02-08
-----------------------------------------------

The System Tools Backends version 2.9.2 "One At a Time" have been released. This development release is incompatible with the previous 2.8 series.

Changes since last release
==========================

    - Allow committing changes to only one service at a time (new ServiceConfig2 object)
    - Re-enable list of forbidden services: distributors should report if they wish to hide more of them
    - Support encrypted home directories on Debian/Ubuntu
    - Remove unneeded dependency on Authen::PAM

Translations
============
  - cs, courtesy of Petr Kovar
  - de, courtesy of Mario Blättermann
  - es, courtesy of Jorge González
  - fr, courtesy of Claude Paroz
  - hu, courtesy of Gabor Kelemen
  - it, courtesy of Luca Ferretti
  - sl, courtesy of Matej Urbančič
  - sv, courtesy of Daniel Nylander
  - zh_CN, courtesy of YunQiang Su

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.9/


System Tools Backends Version 2.9.1, 2010-01-17
-----------------------------------------------

The System Tools Backends version 2.9.1 "Just Wait a Minute" have been released. This development release is incompatible with the previous 2.8 series.

Changes since last release
==========================

    - Fix D-Bus .service files to work with new users and groups versions
    - Add a new authentication interface allowing to check for PolicyKit authorizations before committing
    - Fix SelfConfig and improve security checks

Translations
============
    - de, courtesy of Mario Blättermann
    - sl, courtesy of Matej Urbančič

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.9/


System Tools Backends Version 2.9.0, 2010-01-11
-----------------------------------------------

The System Tools Backends version 2.9.0 "Once Again" have been released. This development release is incompatible with the previous 2.8 series.

Changes since last release
==========================

    - New users and groups protocol. This includes many changes, notably:
        * Ability to commit users and groups individually (preferred method), to avoid destroying the system when severe bugs occur.
        * Password received in clear text, so that they are changed using the standard PAM stack (this fixes problems with keyrings, encrypted folders, and new encryption methods)
        * New fields: whether home should be removed when deleting user, or chown to user when created; whether to disable password; encrypt home directory; locale and location (for future extensions).
        * When creating users, leaving some fields empty allows the platform tools to choose defaults, and the filled structure is sent as a reply.
        * UIDs and GIDs are now uint32, to work with all of our platforms.

    - Fixed error reporting when running external commands.

Translations
============

  - nds, courtesy of Nils-Christoph Fiedler
  - zh_CN, courtesy of Aron Xu

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.9/


System Tools Backends Version 2.8.3, 2009-11-15
-----------------------------------------------

The System Tools Backends version 2.8.3 "Bloody shambles" have been released.

Changes since last release
==========================

    - Fix severe regressions that prevented changing/deleting users, and setting time.

Translations
============

    - ca, courtesy of David Planella
    - nb, courtesy of Kjartan Maraas
    - sl, courtesy of Matej Urbančič

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.8/


System Tools Backends Version 2.8.2, 2009-O9-29
-----------------------------------------------

The System Tools Backends version 2.8.2 "Don't mess with my arguments!" have been released.

Changes since last release
==========================

    - Add compatibility with Upstart init system, used on the Debian platform. For now, this means only traditional scripts are handled; Upstart jobs are ignored and the stb won't conflict with them
    - Don't daemonize on start by default; this fixes problems with D-Bus activation
    - When starting external programs, call system() with argument as an arrays to avoid the shell messing with them. This notably fixes problems when users' Real Name field contains apostrophes (Bug  519273).
    - Automatically set invalid service priorities to a default value of 50, instead of committing wrong data. This allows GUIs not to worry about this implementation detail if they don't mind.
    - Remove useless versioning for Debian platform. All platforms should probably do the same to get things cleaner and less bug-prone.


Translations
============
  - cs, courtesy of Petr Kovar
  - de, courtesy of Mario Blättermann
  - en_GB, courtesy of Philip Withnall
  - es, courtesy of Ricardo Pérez López
  - eu, courtesy of Iñaki Larrañaga Murgoitio
  - fr, courtesy of Claude Paroz
  - hu, courtesy of Gabor Kelemen
  - it, courtesy of Luca Ferretti
  - ja, courtesy of Takeshi AIHANA
  - pl, courtesy of Tomasz Dominikowski
  - pt_BR, courtesy of Rodolfo Ribeiro Gomes
  - pt, courtesy of Duarte Loreto
  - sv, courtesy of Daniel Nylander



System Tools Backends Version 2.8.1, 2009-O8-20
-----------------------------------------------

The System Tools Backends version 2.8.1 "Crunch" have been released. This is a minor release fixing the brown paper bag version 2.8.

Changes since last release
==========================

    - Fix D-Bus activation to point to $(sbindir) (thanks to Götz Waschk)
    - Move $policy_in_files out of the HAVE_POLKIT case (Carlos Garnacho)


System Tools Backends Version 2.8, 2009-O8-20
-----------------------------------------------

The System Tools Backends version 2.8 "Greetings from Mariehamn" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

    - Port to PolicyKit1. This change breaks compatibility with clients that don't support it, namely the gnome-system-tools < 2.28. (Milan Bouchet-Valat)
    - Fix D-Bus and PolicyKit policy files (Milan Bouchet-Valat, Simon McVittie, Josselin Mouette and Colin Walters)
    - Move the s-t-b executable to sbindir (Vladimir Lettiev)
    - Remove stale PID file when terminating (Chris Coulson)
    - Copy timezone to /etc/localtime instead of symlinking. Packaging tools should take care of updating themselves that file when they update the timezone data. (Steve Langasek)
    - Fix Gentoo support in several ways (Jeremy Guitton)
    - Fix translation files being installed with broken name (Götz Waschk)
    - Fix failure in time-admin when looking up "Europe/Helsinki" as time zone value (Michael Terry)

Translations
============
    - ar, courtesy of Khaled Hosny
    - bn_IN, courtesy of Runa Bhattacharjee
    - cs, courtesy of Petr Kovar
    - de, courtesy of Mario Blättermann
    - en_GB, courtesy of Philip Withnall
    - et, courtesy of Ivar Smolin
    - fi, courtesy of Ilkka Tuohela
    - gl, courtesy of Fran Diéguez
    - gu, courtesy of Sweta Kothari
    - he, courtesy of Mark Krapivner
    - hi, courtesy of Rajesh Ranjan
    - ja, courtesy of Takeshi AIHANA
    - kn, courtesy of Shankar Prasad
    - or, courtesy of Manoj Kumar Giri
    - pa, courtesy of A S Alam
    - sr, courtesy of Milan SKOCIC
    - sr@latin, courtesy of Milan SKOCIC
    - sv, courtesy of Daniel Nylander
    - ta, courtesy of Dr.T.Vasudevan
    - te, courtesy of Krishna Babu K
    - th, courtesy of Akom C.
    - uk, courtesy of wanderlust
    - zh_HK, courtesy of Chao-Hsiung Liao
    - zh_TW, courtesy of Chao-Hsiung Liao


Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.6/

System Tools Backends Version 2.6.1, 2009-04-15
-----------------------------------------------

The System Tools Backends version 2.6.1 have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Added infrastructure for translations (David Planella)
- Fixed some compiler warnings (Carlos Garnacho)

Translations
============
- fr (Claude Paroz)
- it (Luca Ferreti)
- es (Jorge Gonzalez)
- pt_BR (Leonardo Ferreira Fontenelle)
- ca (David Planella)
- el (Fotis Samis, Simos Xenitellis)
- hu (Kelemen Gábor)
- sl (studko)
- zh_CN (Ray Wang)
- da (Kenneth Nielsen)
- he (Marik Krapivner)
- plus a bunch from rossetta...

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.6/


System Tools Backends Version 2.6.0, 2008-03-09
-----------------------------------------------

The System Tools Backends version 2.6.0 "Whee" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Reset the gateway in slackware when deleting the interface (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.6/


System Tools Backends Version 2.5.9, 2008-03-05
-----------------------------------------------

The System Tools Backends version 2.5.9 "Right out of the barn" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Add I/O functions to PolicyKit, so its internal caches are properly updated. This fixes the "can't do anything after the first time I authenticate" bug (garnacho)
- Actually install GPRS chatscript (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.5/


System Tools Backends Version 2.5.8, 2008-02-11
-----------------------------------------------

The System Tools Backends version 2.5.8 "Harmony" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Save wireless settings in /etc/rc.d/rc.inet1.conf for slackware (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.5/


System Tools Backends Version 2.5.7, 2008-01-28
-----------------------------------------------

The System Tools Backends version 2.5.7 "King of the floor" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Get correctly the contents of SelfConfig messages (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.5/


System Tools Backends Version 2.5.6, 2008-01-15
-----------------------------------------------

The System Tools Backends version 2.5.6 "Viva la dislexia" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Do not depend on unreleased glib (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.5/


System Tools Backends Version 2.5.5, 2008-01-14
-----------------------------------------------

The System Tools Backends version 2.5.5 "Blue moon" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Use /etc/rc.d/rc.inet1 to start/stop network interfaces for slackware (garnacho)
- Make sure there are time servers when using ntpdate (garnacho)
- Do call reset_counter() when the configuration has been set (garnacho)
- Check correctly whether PPP interfaces are configured or not (garnacho)
- Add Ubuntu 8.04 (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.5/


System Tools Backends Version 2.5.4, 2007-12-18
-----------------------------------------------

The System Tools Backends version 2.5.4 "Will come back tomorrow" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Added logging messages to the dispatcher (available through -d) (garnacho)
- Add password management to SMBConfig (garnacho)
- Add file monitoring to configuration files, emit "changed" when the configuration has potentially changed, this requires gio (garnacho)
- Fix services configuration saving for ArchLinux (Hugo Doria)
- Set gateway for static interfaces in Slackware, do not try to set auto (garnacho)
- Use DBus system bus activation (garnacho)
- Add PPPoE support for distros that use pppd (garnacho)
- Add basic GPRS/UMTS support for distros that use pppd (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.5/


System Tools Backends Version 2.5.3, 2007-11-12
-----------------------------------------------

The System Tools Backends version 2.5.3 "It reached all the way" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Actually use correct/new GroupsConfig/UsersConfig message format (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.5/


System Tools Backends Version 2.5.2, 2007-11-12
-----------------------------------------------

The System Tools Backends version 2.5.2 "Drifting beyond all time" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Add an internal UserConfig module, this is accessible outside s-t-b as SelfConfig, to edit the requester user settings (garnacho)
- Compare internally users through login name instead of the exported ID (independent to UID), this will make a login change count as a user addition+removal, but will make the process more reliable, and will not have to count on having the other side implementing the right behavior. This is a behavior and format change, but given that the adoption of s-t-b isn't very wide, it's worth to do it now. (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.5/


System Tools Backends Version 2.5.1, 2007-10-29
-----------------------------------------------

The System Tools Backends version 2.5.1 "Meet the tides" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Add optional PolicyKit usage (garnacho)
- Add users correctly in rPath (garnacho)

Thanks to anyone involved!

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.5/


System Tools Backends Version 2.4.1, 2007-10-04
-----------------------------------------------

The System Tools Backends version 2.4.1 "Out of mind" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Fix a typo in UsersConfig module for Slackware (Markus Kanet)
- Optimize gentoo services list parsing (garnacho)
- Add diagnostics script, to check configuration parsing without all the DBus setup (garnacho)
- Add/fix Users/Time/Services support for Archlinux (Ermanno Scaglione)

Thanks to anyone involved!

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.4/


System Tools Backends Version 2.4.0, 2007-09-14
-----------------------------------------------

The System Tools Backends version 2.4.0 "On the net" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Make adding users work again for Slackware (Markus Kanet)
- Add support for Bluewhite64 (Markus Kanet)

Thanks to anyone involved!

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.4/


System Tools Backends Version 2.3.2, 2007-09-03
-----------------------------------------------

The System Tools Backends version 2.3.2 "Hello mirror" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Apply correctly the services configuration for Slackware (Markus Kanet)
- Return a list of unique elements in Users/Shells.pm (garnacho)

Thanks to anyone involved!

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.3/


System Tools Backends Version 2.3.1, 2007-08-28
-----------------------------------------------

The System Tools Backends version 2.3.1 "All in you" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Fixes in network and services modules for Slackware (garnacho)
- Update to Net::DBus 0.33.5
- Support Slackware 11.0 and 12.0 (Sasa Ostrouska)

Thanks to anyone involved!

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.3/


System Tools Backends Version 2.3.0, 2007-07-10
-----------------------------------------------

The System Tools Backends version 2.3.0 "Not going there anymore" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- improve uninstall rules (Joseph E. Sacco)
- improve NTP parsing (garnacho)
- more paranoid checks to the dispatcher (garnacho)
- add WPA/WPA2 PSK to debian like distros (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.3/


System Tools Backends Version 2.2.1, 2007-04-03
-----------------------------------------------

The System Tools Backends version 2.2.1 "A leash at least" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- Fix internal DBus bindings (Carlos Eduardo Rodrigues Diógenes)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.2/


System Tools Backends Version 2.2.0, 2007-03-12
-----------------------------------------------

The System Tools Backends version 2.2.0 "$RANDOM" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

- nihil

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.2/


System Tools Backends Version 2.1.4, 2007-01-10
-----------------------------------------------

The System Tools Backends version 2.1.4 "This is not a cowboy movie" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - Add Guadalinex 4 support (Guadalinex people)
  - Configure static interfaces properly in Debian (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.1/


System Tools Backends Version 2.1.3, 2007-01-10
-----------------------------------------------

The System Tools Backends version 2.1.3 "Take all" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - improvements to extensible config methods (garnacho)
  - fix ipv4ll for ubuntu 7.04 (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.1/


System Tools Backends Version 2.1.2, 2007-01-04
-----------------------------------------------

The System Tools Backends version 2.1.2 "Rootless" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - Do not try to enable network interfaces twice (garnacho)
  - Update internal DBus to 0.33.4 (garnacho, Joseph Sacco)
  - add support for extensible interface configuration methods. This will allow to support new configuration methods without needing to modify stuff on top of s-t-b (garnacho)
  - add support for extensible wireless key types (garnacho)
  - add initial support for Ubuntu Feisty (garnacho)
  - add ipv4ll support for Ubuntu Feisty (garnacho, Martin Pitt)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.1/


System Tools Backends Version 2.1.1, 2006-12-04
-------------------------------------------------

The System Tools Backends version 2.1.1 "Coming outside" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - better error reporting (garnacho)
  - get correctly the spawned DBus address (garnacho, seb128)
  - make org.freedesktop.SystemToolsBackends.service point to the correct executable (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.1/


System Tools Backends Version 2.1.0, 2006-11-30
-------------------------------------------------

The System Tools Backends version 2.1.0 "Who's there?" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - added a lightweight C/Glib/DBus messages dispatcher, improves memory usage *a lot* during inactivity, and allows the development of modules in other languages than perl (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.1/


System Tools Backends Version 2.0.0, 2006-11-26
-------------------------------------------------

The System Tools Backends version 2.0.0 "Humanity needs diapers" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD, Solaris and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), FreeBSD, Solaris, Gentoo, Slackware, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - handle zoneinfo as links (garnacho)
  - do not double escape quotes when running certain commands (garnacho)
  - Improve PPP info parsing in IfacesConfig (garnacho)
  - Fix infinite loop if the chatscript contains tabs (Kris Shannon, garnacho)
  - Improve NFS shares parsing (garnacho)
  - Use localstatedir to save the pidfile (garnacho)
  - Added Yellow Dog Linux, behaves like FC (Joseph E. Sacco)
  - Improve distribution detection (garnacho)
  - include test-backends in tarballs (garnacho)

  Thanks to anyone involved in this release

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/2.0/


System Tools Backends Version 1.9.91, 2006-11-05
-------------------------------------------------

The System Tools Backends version 1.9.91 "Playing with the little green men" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - Fix NFS shares deleting under Linux/FreeBSD (garnacho)
  - Retrieve correctly rw/ro data in NFS shares (garnacho)
  - Accept properly [*#] in modem phone numbers (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.9/


System Tools Backends Version 1.9.90, 2006-10-26
-------------------------------------------------

The System Tools Backends version 1.9.90 "Here is nowhere" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - fixes in configure script (garnacho)
  - Do not corrupt wireless essid and key (garnacho)
  - fixes in ServicesConfig for archlinux (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.9/


System Tools Backends Version 1.9.7, 2006-09-28
-------------------------------------------------

The System Tools Backends version 1.9.7 "Make the flames get higher" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - Fix SMBConfig not recognizing share names with spaces in it (garnacho)
  - SunOS (OpenSolaris and Nexenta) support for all modules (Darren Kenny, Erast Benson, garnacho -just porting-)
  - Get/set gateway settings properly in static interfaces (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.9/


System Tools Backends Version 1.9.6, 2006-09-28
-------------------------------------------------

The System Tools Backends version 1.9.6 "Get in the character" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - Do not repeat multiple SMB share entries when the name has a $ symbol (GNOME bug #325495, garnacho)
  - Avoid timeouts during file monitoring (garnacho)
  - Code improvements to BSD, RCng and SuSE services init code (garnacho)
  - Add an UID/GID independent ID number in UsersConfig and GroupsConfig to avoid confusions when adding/deleting groups (GNOME bug #342293, garnacho)
  - DBus struct improvements in ServicesConfig (garnacho)
  - Avoid "use lib" warning during s-t-b initialization (garnacho)
  - Fix a possible bug when saving modem interfaces configuration (garnacho)
  - Code cleanups (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.9/


System Tools Backends Version 1.9.5.1, 2006-09-08
-------------------------------------------------

The System Tools Backends version 1.9.5 "Too many releases and no sleep makes Carlos a dull boy" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - Fix typo in DBus policy file, now the group defined in --with-stb-group will be really able to access the backends. (garnacho)
  - Cache the detected platform (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.9/


System Tools Backends Version 1.9.5, 2006-09-06
-----------------------------------------------

The System Tools Backends version 1.9.5 "Under mountain" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - Limit access to the backends to root and people defined with --with-stb-group (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.9/


System Tools Backends Version 1.9.4, 2006-09-04
-----------------------------------------------

The System Tools Backends version 1.9.4 "Never was" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - Fix distro detection for gentoo (garnacho)
  - Make NTPConfig try to set the time with ntpdate (garnacho)
  - make it again to start/stop init.d scripts when a service is added/removed from the current runlevel (garnacho)
  - Do not export heuristics such as service/runlevel role (garnacho)
  - various code improvements

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.9/


System Tools Backends Version 1.9.3, 2006-08-12
-----------------------------------------------

The System Tools Backends version 1.9.3 "Pit stop for the mind" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - Fix services parsing on Gentoo (garnacho)
  - Fix services parsing with file-rc (garnacho)
  - Make platform detection code more generic, create a distro metamap, from now adding a new distro that behaves *exactly* like other is one liner (garnacho)
  - Various code cleanups and improvements, avoid redundancy with distro maps. (garnacho)
  - Add support for PLD 2.99 (Cezary Krzyżanowski)
  - Several modified and unmodified Ubuntu patches:
    * Add Posgresql-8.1 to services list
    * Better ISDN detection
    * set default serial port speed to 115200
    * daemonize the backend
    * specify chatscript path to pppd

Thanks to Cezary Krzyżanowski and the Ubuntu folks

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.9/


System Tools Backends Version 1.9.2, 2006-08-02
-----------------------------------------------

The System Tools Backends version 1.9.2 "They said it was that" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - Improvements to file monitoring (garnacho)
  - Include an internal copy of Net::DBus (Frederic Peters, garnacho)


Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.9/


System Tools Backends Version 1.9.1, 2006-06-12
-----------------------------------------------

The System Tools Backends version 1.9.1 "Face your back" have been released.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  - Makefile.am fix, install needed .pm files (garnacho)


Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.9/


System Tools Backends Version 1.9.0, 2006-06-06
-----------------------------------------------

The System Tools Backends version 1.9.0 "Pluto tan" have been released.

This is the first release towards 2.x series, which will feature DBus interfaces to access data, signals to notify asynchronously about modifications in the configuration and a cleaner codebase. If you're interested in the 1.4.x series, checkout the stb-1-4 CVS branch.

The System Tools Backends are a set of cross-platform modules for Linux, FreeBSD and other Unix systems. The backends provide an common DBus interface to all distros for modifying or reading the system configuration.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.9/


System Tools Backends Version 1.4.2, 2006-01-02
-----------------------------------------------

The System Tools Backends version 1.4.2 "Radical cut" have been released.

The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide an standard XML interface for modifying the configuration regarless of the distribution that's being used.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  Network
  =======
  - Added support for Ubuntu 5.10 and 6.04, Yoper 2.2, ArkLinux, FC4 and latest Mandrake/Mandriva (Juan Luis Baptiste)

  Services
  ========
  - Added support for ArchLinux (Arjan Timmerman)

  Time
  ====
  - Added support for ArchLinux (Arjan Timmerman)


Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.4/


System Tools Backends Version 1.4.1, 2005-11-27
-----------------------------------------------

The System Tools Backends version 1.4.1 "Burning sky" have been released.

The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide an standard XML interface for modifying the configuration regarless of the distribution that's being used.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  Network
  =======
  - Fixed network configuration in Gentoo (Christian Meyer, Florian Schricker, garnacho)
  - Fixed WEP key detection in Slackware (garnacho)

  Common
  ======
  - Added support for Slackware 10.2.0 (Scott J. Harmon)
  - Changed Specifix Linux to rPath Linux (Ken VanDine)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.4/


System Tools Backends Version 1.4.0, 2005-08-23
-----------------------------------------------

The System Tools Backends version 1.4.0 "Already there" have been released.

The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide an standard XML interface for modifying the configuration regarless of the distribution that's being used.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.4/


System Tools Backends Version 1.3.92, 2005-08-23
-----------------------------------------------

The System Tools Backends version 1.3.92 "Almost there" have been released.

The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide an standard XML interface for modifying the configuration regarless of the distribution that's being used.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  Network
  =======
  - enable gateway saving under Slackware and Zenwalk (Jean-Philippe Guillemin)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.3/

System Tools Backends Version 1.3.2, 2005-08-08
-----------------------------------------------

The System Tools Backends version 1.3.2 "It's not a rehearsal" have been released.

The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide an standard XML interface for modifying the configuration regarless of the distribution that's being used.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  Services
  ========
  - Added more roles for known services (garnacho)

  Users
  =====
  - Strings improvements in groups descriptions (Corey Burger, Guillaume Desmottes)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.3/

System Tools Backends Version 1.3.1, 2005-07-05
-----------------------------------------------

The System Tools Backends version 1.3.1 "Make me laugh" have been released.

The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide an standard XML interface for modifying the configuration regarless of the distribution that's being used.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  Network
  =======
  - do not detect irlan[0-9] interfaces as an[0-9] (garnacho)
  - other misc fixes (garnacho)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.3/

System Tools Backends Version 1.3.0, 2005-07-05
-----------------------------------------------

The System Tools Backends version 1.3.0 "Learning to hate autotools" have been released.

The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide an standard XML interface for modifying the configuration regarless of the distribution that's being used.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  General
  =======
  - Added support for Slackware 10.1.0 (Scott J. Harmon)
  - Added support for VidaLinux 1.2 (Christian Meyer)

  Network
  =======
  - wireless handling improvements in Debian (me)
  - recognize tun ifaces as dialup ones (me)
  - fixed handling of dhclient v3 (me)
  - fixed FreeBSD network support (Joe Marcus Clarke)
  - fixed handling of dhcpcd (Christian Meyer)
  - Added support for WEP key type (me)
  - Added support for KUbuntu (Juan Luis Baptiste)

  Time
  ====
  - update /etc/timezone in Debian systems

  Services
  ========
  - Separate priorities for init types which support them (me)
  - Add roles to services and runlevels (me)

  Translations
  ============
  - el (Nikos Charonitakis)
  - en_CA (Adam Weinberger)
  - hu (Szabolcs Varga)
  - id (Ahmad Riza H Nst)
  - ne (Jyotsna, Pawan chitrakr)
  - rw (Steve Murphy)
  - xh (Adi Attar)
  - zh_TW (GNOME HK Team)

Downloading
===========
You can get it from :
http://system-tools-backends.freedesktop.org/downloads/1.3/

System Tools Backends Version 1.2.0, 2005-03-07
-----------------------------------------------

The System Tools Backends version 1.2.0 "Eleee mi niñooo!!" have been released.

The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide an standard XML interface for modifying the configuration regarless of the distribution that's being used.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.

Changes since last release
==========================

  Network
  =======
  - Don't activate any interface after having changed if it was disabled (Garnacho)

  Translations
  ============
  - hi (Rajesh Ranjan)
  - hu (Szabolcs Varga)
  - ja (Takeshi AIHANA)
  - ro (Mişu Moldovan)
  - sr, sr@Latn (Danilo Šegan)
  - vi (Abel Cheung)
  - zh_TW (GNOME HK Team)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/system-tools-backends/1.2/

System Tools Backends Version 1.1.92, 2005-03-01
------------------------------------------------

The GNOME System Tools version 1.1.92 "Tararí que te ví" have been released.

The System Tools Backends are a set of cross-platform scripts for Linux and other Unix systems. The backends provide an standard XML interface for modifying the configuration regarless of the distribution that's being used.

Right now the System Tools Backends fully support various distros/OS such as: Redhat, Mandrake, SuSE, Fedora, Debian (and derivations like Ubuntu, Linex, Guadalinex...), Gentoo, Slackware, FreeBSD, OpenNA, PLD, Vine and Specifix.


Changes since last release
==========================

  General
  =======
  - Added support for Fedora Core 3 (Garnacho)
  - i18n fixes (Garnacho)

  Network
  =======
  - Added directive for changing default gateway on the fly (Garnacho)
  - Add support for dhcpcd (Garnacho)
  - Fixed PPP calling (Michael Vogt, Garnacho)

  Shares
  ======
  - Avoid print$ shares (Garnacho)
  
  Translations
  ============
  - bg (Alexander Shopov)
  - ca (Josep Puigdemont i Casamajó)
  - el (Kostas Papadimas)
  - fi (Ilkka Tuohela)
  - fr (Christophe Merlet)
  - gu (Ankit Patel)
  - it (Francesco Marletta)
  - ko (Young-Ho Cha)
  - lt (Žygimantas Beručka)
  - nb (Kjartan Maraas)
  - nl (Tino Meinen)
  - pl (GNOME PL Team)
  - pt (Duarte Loreto)
  - pt_BR (Raphael Higino)
  - th (Theppitak Karoonboonyanan)
  - uk (Maxim Dziumanenko)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/system-tools-backends/1.1/


System Tools Backends Version 1.1.91, 2005-02-08
------------------------------------------------

The GNOME System Tools version 1.1.91 "Ad infinitum" have been released.

The GNOME System Tools are a set of cross-platform configuration utilities for Linux and other Unix systems. The frontends knows nothing about the underlying system and provide the same user interface across the different types of systems. Internally they use the system-tools-backends package.

Changes since last release
==========================

  General
  =======
  - Separate it from the GNOME System Tools frontends (Jeff Waugh, garnacho)

  Network
  =======
  - Fixed hosts file parsing when there's more than one line per IP address (garnacho)
  - Only add an empty PPP interface if it wasn't added before (garnacho)
  - Use dhclient more reliably (garnacho)

  Time
  ====
  - Update the correct server status in Debian (garnacho)

  Users
  =====
  - Detect whether to use md5 or not (garnacho)
  - Made a group description more user friendly (Ole Laursen)

  Translations
  ============
  - cs (Miloslav Trmac)
  - da (Ole Laursen)
  - de (Frank Arnold)
  - en_CA (Adam Weinberger)
  - en_GB (David Lodge)
  - es (Francisco Javier F. Serrador)
  - lt (Åœygimantas BeruÄka)
  - pt (Duarte Loreto)
  - pt_BR (Raphael Higino)
  - sq (Elian Myftiu)
  - sv (Christian Rose)

Downloading
===========
You can get it from :
ftp://ftp.gnome.org/pub/GNOME/sources/system-tools-backends/1.1/
